package saccubus.worker.impl.convert;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 *
 * @author yuki
 */
public class ConvertResult {

    private final boolean resultValue;
    private final String title;

    ConvertResult(boolean b, String title) {
        this.resultValue = b;
        this.title = title;
    }

    public boolean isResultValue() {
        return resultValue;
    }

    public String getTitle() {
        return title;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }
}
